Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Macros
Gallery.cpp File Reference

Gallery implementation file. More...

`#include <GLES3/gl31.h>`
`#include <GLES2/gl2ext.h>`
`#include <stdio.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <dirent.h>`
`#include <assert.h>`
`#include <list>`
`#include "Gallery.h"`
`#include "Composer.h"`
`#include "Dispatcher.h"`
`#include "Error.h"`
`#include "Ordered.h"`
`#include "Mutex.h"`
`#include "ConditionVariable.h"`
`#include "UniquePointer.h"`
`#include "Thread.h"`
`#include "GLContext.h"`
`#include "VideoPipeline.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
class | ArgusSamples::GalleryItem
| Represents an item in the gallery. More...
class | ArgusSamples::GalleryItemImage
| A gallery image. More...
class | ArgusSamples::GalleryItemVideo
| A gallery video. More...
class | ArgusSamples::GalleryThread
| This class handles creation of a thread scanning for supported images/videos, loading them and writing the content to an EGLStream. More...

## Namespaces
namespace | ArgusSamples

## Macros
#define | GL_GLEXT_PROTOTYPES

## Detailed Description

Gallery implementation file.

The gallery task creates a thread handling scanning for items, loading of images and displaying them, using a playback video pipeline for displaying videos. The task communicates with the thread through commands. Image gallery items share one EGL stream, image data is written to that stream. Video gallery items each have an EGL stream. EGL streams are enabled for the current visible item only. The composer displays them on the screen.

Definition in file Gallery.cpp.

## Macro Definition Documentation

#define GL_GLEXT_PROTOTYPES

Definition at line 41 of file Gallery.cpp.